Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetColor

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetColor

    public class JetColor

extends JetProperty

Color property, for saving/retriving a Color value. If the value is null, means transparent.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Constructor Summary
`JetColor()`
`JetColor(JetObject parent, java.lang.String name)` Constructor.
`JetColor(JetObject parent, java.lang.String name, java.awt.Color value)` Constructor.
`JetColor(JetObject parent, java.lang.String name, java.awt.Color value, boolean nullEnabled)` Constructor.

Method Summary
`java.awt.Color` | `get()` Retrive a java.awt.Color value.
`int[]` | `getMatchingSqlType()` Get Matching SQL Type of this property
`void` | `set(java.awt.Color color)` Set the value via java.awt.Color
`void` | `set(java.lang.String color)` Set the color via a string, this string must be a hex format integer.
`java.lang.String` | `toString()` Retrive a String value.

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getEditFlag, getEditorType, getInspValue, getInspValue, getName, getNormalObject, getObject, getParent, getPropertyChoice, getPropType, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isNull, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByFmtt, setChangeByObject, setEditFlag, setEditorType, setObject, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetColor

    public JetColor()

### JetColor

    public JetColor(JetObject parent,
                    java.lang.String name)

  Constructor.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name

### JetColor

    public JetColor(JetObject parent,
                    java.lang.String name,
                    java.awt.Color value)

  Constructor.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name
    `value` - the default value.

### JetColor

    public JetColor(JetObject parent,
                    java.lang.String name,
                    java.awt.Color value,
                    boolean nullEnabled)

  Constructor.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name
    `thedef` - the default value.
    `nullEnabled` - true: the value can be null. false: the value can not be null.

Method Detail

### set

    public void set(java.awt.Color color)

  Set the value via java.awt.Color

### set

    public void set(java.lang.String color)

  Set the color via a string, this string must be a hex format integer. Such as 0x00ffffff.

  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `color` - the String val

### get

    public java.awt.Color get()

  Retrive a java.awt.Color value.

### toString

    public java.lang.String toString()

  Retrive a String value.

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `set(java.awt.Color)`

### getMatchingSqlType

    public int[] getMatchingSqlType()

  Description copied from class: `JetProperty`
  Get Matching SQL Type of this property

  Overrides:
    `getMatchingSqlType` in class `JetProperty`
  Returns:
    SQL_OTHER means can not changed by other object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD